*******************************************************************************
****************************** DEFINE ENVIRONMENT *****************************
*******************************************************************************
version 12.0
clear all
capture log close
set logtype text
set more off

* on C drive
local base "//data4/users2/GIMPAVIDO/My Documents/FY13/2012.09.01 - future banking CESEE WP/figures"
local dta "`base'"
local wkdir "`base'"
local out  "`base'"

/*
* on Q drive
local base "//data2/EUR/DATA/UNIT/EE/Data/CESEE bank database/BScope2012"
local dta "`base'/dta"
local wkdir "O:\DATA\UNIT\EE\Papers\2012Q4 - banking in CESEE\SDN"
local out  "O:\DATA\UNIT\EE\Papers\2012Q4 - banking in CESEE\SDN"
*/

*******************************************************************************
************************************ START ************************************
*******************************************************************************
cd "`wkdir'"

use "`dta'/wp-f03.dta", clear
outsheet time d12 using "`out'/wp-f03_bul.txt" if name=="Bulgaria" & inrange(time,m(2000m12),m(2012m12)), replace
outsheet time d12 using "`out'/wp-f03_est.txt" if name=="Estonia" & inrange(time,m(2000m12),m(2012m12)), replace
outsheet time d12 using "`out'/wp-f03_cro.txt" if name=="Croatia" & inrange(time,m(2000m12),m(2012m12)), replace


* position of labels in scatter 
* graph
local a0 `: di m(2003m1)'
local a1 `: di m(2007m11)'
local a2 `: di m(2008m8)'
local a `: di m(2005m3)'
local b `: di m(2006m10)'
local c `: di m(2008m1)'
graph twoway 																///
(line d12  time if name=="Bulgaria" & inrange(time,m(2000m12),m(2012m12))) 	///
(line d12  time if name=="Estonia" & inrange(time,m(2000m12),m(2012m12))) 	///
(line d12  time if name=="Croatia" & inrange(time,m(2000m12),m(2012m12)))	///
(pcarrowi 60 `a2' 50 `a1', pstyle(p3)),								 		///
yline(0, lstyle(foreground) lpattern())		 								///
xline(`a0', lstyle(p3) lpattern(dash)) 										///
xline(`a1', lstyle(p3) lpattern(dash)) 										///
xline(`a', lstyle(p1) lpattern(dash)) 										///
xline(`b', lstyle(p2) lpattern(dash)) 										///
xline(`c', lstyle(p1) lpattern(dash))										/// 
ytitle("Nominal Credit Growth, % YoY")										///
ylabel(, format() ang(h) gstyle(major) glcolor(gs12))						///
xtitle("")			 					 									///
xlabel(, format(%tmCCYY) ang(h))											///
title("Figure 3. Policy Reponses and the Credit Boom",						///
	span position(11) size(*0.8)) /* play with size depending on length */	///
/* subtitle("({it:2011})",	span ring(6) position(11)) */					///
text(60 `a0' "Croatia introduces", place(w) size(vsmall) tstyle(p3))		///
text(57 `a0' "credit ceilings", place(w) size(vsmall) tstyle(p3))			///
text(60 `a2' "Croatia re-introduces", place(e) size(vsmall) tstyle(p3))		///
text(57 `a2' "credit ceilings", place(e) size(vsmall) tstyle(p3))			///
text(70 `a' "Bulgaria introduces", place(w) size(vsmall) tstyle(p1))		///
text(67 `a' "credit ceilings", place(w) size(vsmall) tstyle(p1))			///
text(80 `b' "Swedish supervisor", place(w) size(vsmall) tstyle(p2))			///
text(77 `b' "reigns in parents", place(w) size(vsmall) tstyle(p2))			///
text(68 `c' "Credit boom ends with Lehman", place(e) size(vsmall) tstyle(p1))	///
legend(order(1 2 3) label(1 "Bulgaria") label(2 "Estonia") 					///
	label(3 "Croatia")																	///
	cols() rows(1) size(vsmall) symxsize(vsmall) symysize(vsmall) 						///
	ring(6) position(1) region(fcolor(ltbluishgray) lstyle(none)) bmargin(zero)) 		///
note("Notes: Private sector loan data is not FX adjusted."								///
	"Sources: IMF IFS, Haver (for Estonia) and authors' calculations.", size(vsmall) span)													///
caption("", ring(0) position(4) size(small) box) 										///
graphregion(fcolor()) ysize() plotregion(style(none))	
graph export "`out'/wp-f03.png", width(2500) replace

