*******************************************************************************
/* 
PROJECT: SDN banking

OUTPUT OF THIS DO FILE:                                                   
- fig01
	
WRITTEN BY: Gregorio Impavido (gimpavido@imf.org)

WRITTEN WHEN:   02 Feb, 2013
*/
*******************************************************************************

*******************************************************************************
****************************** DEFINE ENVIRONMENT *****************************
*******************************************************************************
version 12.0
clear all
capture log close
set logtype text
set more off

* on C drive
local base "//data4/users2/GIMPAVIDO/My Documents/Stata/Data/"
* on Q drive
* local base "//data2/EUR/DATA/UNIT/EE/Data/panelchart"
local dta "`base'"
local wkdir "//data4/users2/GIMPAVIDO/My Documents/FY13/2012.09.01 - future banking CESEE WP/figures"
local out  "//data4/users2/GIMPAVIDO/My Documents/FY13/2012.09.01 - future banking CESEE WP/figures"

*******************************************************************************
************************************ START ************************************
*******************************************************************************
cd "`wkdir'"

import excel "`wkdir'/wp-f15.xlsx", sheet("STATA") cellrange() firstrow clear
rename A bank
outsheet using "`out'/wp-f15.txt", replace




* Asia figure
graph dot (asis) latest max av07, ///
over(bank, sort(latest) descending label(labsize(vsmall) angle())) ///
nofill ///
/* blabel(bar, format(%2.0f) position(center) color(white) size(vsmall)) */		///
title("Figure 15. European Banks CDS Prices", span ring(7) position(11) size(*0.8)) 			///
subtitle("({it:5 year CDS price, basis points})", span ring(6) position(11) size(small)) 	///
ytitle(" ") 														///
ylabel(, format() ang(h) gstyle(major) glcolor(gs12))						///
legend(order(1 2) label(1 "Latest (March 10 2013)") label(2 "Max 2010-13") label(3 "Average 2007") 					///
	cols() rows(1) size(vsmall) symxsize(vsmall) symysize(vsmall) 						///
	ring(6) position(1) region(fcolor(ltbluishgray) lstyle(none)) bmargin(zero)) 		///
note("Sources: Bloomberg.", size(vsmall) span)														///
graphregion(fcolor(ltbluishgray)) ysize() plotregion(style(none)) 
graph export "`out'/wp-f15.png", width(2500) replace
